import 'package:json_annotation/json_annotation.dart';

import '../../../../api_params.dart';

part 'list_files_params.g.dart';

@JsonSerializable(explicitToJson: true)
class ListFilesParams extends ApiParams {
  String path;

  ListFilesParams(this.path);

  factory ListFilesParams.fromJson(Map<String, dynamic> json) =>
      _$ListFilesParamsFromJson(json);
  Map<String, dynamic> toJson() => _$ListFilesParamsToJson(this);
}
